aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py3-aiohttp/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-07-18 09:20:32 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-07-18 09:20:32 +0000
commit1a22f09af5b35c7ac72687bb499f43be1038dcf6 (patch)
tree9464fe04720ba78f0e8bb40d7a66418d3c664e01 /testing/py3-aiohttp/APKBUILD
parentab33768012de575a1fa0458dc3973afbe307b7ef (diff)
downloadaports-1a22f09af5b35c7ac72687bb499f43be1038dcf6.tar.gz
aports-1a22f09af5b35c7ac72687bb499f43be1038dcf6.tar.bz2
aports-1a22f09af5b35c7ac72687bb499f43be1038dcf6.tar.xz
testing/py3-aiohttp: renamed from py-aiohttp
Diffstat (limited to 'testing/py3-aiohttp/APKBUILD')
-rw-r--r--testing/py3-aiohttp/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/testing/py3-aiohttp/APKBUILD b/testing/py3-aiohttp/APKBUILD
new file mode 100644
index 0000000000..5a4e4741b5
--- /dev/null
+++ b/testing/py3-aiohttp/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=py3-aiohttp
+_pkgname=aiohttp
+pkgver=0.21.6
+pkgrel=1
+pkgdesc="HTTP client/server for asyncio"
+url="http://pypi.python.org/pypi/aiohttp"
+arch="all"
+license="ASL 2.0"
+depends="python3 py-chardet"
+depends_dev=""
+makedepends="$depends_dev py-setuptools cython-dev python3-dev"
+install=""
+subpackages="$pkgname-dev"
+source="https://pypi.io/packages/source/a/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$_pkgname-$pkgver
+build() {
+ cd "$builddir"
+ python3 setup.py build || return
+}
+
+package() {
+ cd "$builddir"
+ python3 setup.py install --root="$pkgdir" --optimize=1 || return 1
+}
+
+md5sums="d7f63e51bc86a61d9bccca13986c3855 aiohttp-0.21.6.tar.gz"
+sha256sums="8709c6d4b7735705ef46e0d5416083f1e92d9a9ab18e2b4c7f7944e831b73428 aiohttp-0.21.6.tar.gz"
+sha512sums="622218ffbc163aefc04730bc9ca36f922182699407ea8fb6e8e5ce01b63e4bbee821e466f1701ecabf2f4c47bf840a572e7f3bcdf0903e8a87b23d5c3e07209b aiohttp-0.21.6.tar.gz"